package ru.yandex.webmaster3.viewer.http.indexing2.urls;

import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;
import ru.yandex.webmaster3.storage.indexing2.samples.data.IndexedUrlSample;

import java.util.List;

/**
 * Created by leonidrom on 17/02/2017.
 */
public class IndexedUrlSamplesResponse implements ActionResponse.NormalResponse {
    private final long totalSamples;
    private final List<IndexedUrlSample> samples;

    public IndexedUrlSamplesResponse(long totalSamples, List<IndexedUrlSample> samples) {
        this.totalSamples = totalSamples;
        this.samples = samples;
    }

    public long getTotalSamples() {
        return totalSamples;
    }

    public List<IndexedUrlSample> getSamples() {
        return samples;
    }
}
